curl -u <YOUR_KEY_ID>:<YOUR_KEY_SECRET> \
-X GET https://api.razorpay.com/v1/payments/downtimes
-H "Content-Type: application/json" \
RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
List<Payment> payment = razorpay.payments.fetchPaymentDowntime();
import razorpay
client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))
client.payment.fetchPaymentDowntime()
import ( razorpay "github.com/razorpay/razorpay-go" )
client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")
body, err := client.Payment.FetchPaymentDowntime(nil, nil)
$api = new Api($key_id, $secret);
$api->payment->fetchPaymentDowntime();
require "razorpay"
Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')
Razorpay::Payment.fetch_payment_downtime
var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })
instance.payments.fetchPaymentDowntime()
RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
List<Payment> payment = client.Payment.FetchPaymentDowntime();
razorpay payments downtime list
{
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "COSB"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
{
"id": "down_F1cxlArweEWitF",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "UTIB"
},
"created_at": 1591946254,
"updated_at": 1591946298
}
]
}
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F8LCfthx90fMOo",
"entity": "payment.downtime",
"method": "upi",
"begin": 1593412063,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"vpa_handle": "oksbi"
},
"created_at": 1593412092,
"updated_at": 1593412092
}
]
}
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F8LCfthx90fMOo",
"entity": "payment.downtime",
"method": "upi",
"begin": 1593412063,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"psp": "bhim",
"flow": "collect"
},
"created_at": 1593412092,
"updated_at": 1593412092
}
]
}
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "upi",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"flow": "in_app"
},
"created_at": 1591946223,
"updated_at": 1591946297
}
]
}
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"network": "VISA"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "SBIN"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
{
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "SBIN",
"card_type": "credit"
},
"created_at": 1593196089,
"updated_at": 1593196089
},
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "COSB"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
]
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The api key provided is invalid",
"source": "NA",
"step": "NA",
"reason": "NA",
"metadata": {}
}
}
{
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"vpa_handle": null,
"instrument": {
"bank": "COSB"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
{
"id": "down_F1cxlArweEWitF",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"vpa_handle": null,
"instrument": {
"bank": "UTBI"
},
"created_at": 1591946254,
"updated_at": 1591946298
}
]
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F8LCfthx90fMOo",
"entity": "payment.downtime",
"method": "upi",
"begin": 1593412063,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"vpa_handle": "oksbi"
},
"created_at": 1593412092,
"updated_at": 1593412092
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F8LCfthx90fMOo",
"entity": "payment.downtime",
"method": "upi",
"begin": 1593412063,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"psp": "bhim"
},
"created_at": 1593412092,
"updated_at": 1593412092
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"network": "VISA"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "SBIN"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "SBIN",
"card_type": "credit"
},
"created_at": 1593196089,
"updated_at": 1593196089
},
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"vpa_handle": null,
"instrument": {
"bank": "COSB"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
]
}
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The api key provided is invalid",
"source": "NA",
"step": "NA",
"reason": "NA",
"metadata": {}
}
}
{
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "fpx",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "CIBB"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
{
"id": "down_F1cxlArweEWitF",
"entity": "payment.downtime",
"method": "fpx",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "PHBM"
},
"created_at": 1591946254,
"updated_at": 1591946298
}
]
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"network": "VISA"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "HSBC"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "HSBC",
"card_type": "credit"
},
"created_at": 1593196089,
"updated_at": 1593196089
},
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "fpx",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "PHBM"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
]
}
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The api key provided is invalid",
"source": "NA",
"step": "NA",
"reason": "NA",
"metadata": {}
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"network": "VISA"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "HSBC"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The api key provided is invalid",
"source": "NA",
"step": "NA",
"reason": "NA",
"metadata": {}
}
}
Downtime
Fetch All Payment Downtime Details
Fetch all payment downtime details using Razorpay Payment Downtime API.
GET
/
v1
/
payments
/
downtimes
curl -u <YOUR_KEY_ID>:<YOUR_KEY_SECRET> \
-X GET https://api.razorpay.com/v1/payments/downtimes
-H "Content-Type: application/json" \
RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
List<Payment> payment = razorpay.payments.fetchPaymentDowntime();
import razorpay
client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))
client.payment.fetchPaymentDowntime()
import ( razorpay "github.com/razorpay/razorpay-go" )
client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")
body, err := client.Payment.FetchPaymentDowntime(nil, nil)
$api = new Api($key_id, $secret);
$api->payment->fetchPaymentDowntime();
require "razorpay"
Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')
Razorpay::Payment.fetch_payment_downtime
var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })
instance.payments.fetchPaymentDowntime()
RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
List<Payment> payment = client.Payment.FetchPaymentDowntime();
razorpay payments downtime list
{
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "COSB"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
{
"id": "down_F1cxlArweEWitF",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "UTIB"
},
"created_at": 1591946254,
"updated_at": 1591946298
}
]
}
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F8LCfthx90fMOo",
"entity": "payment.downtime",
"method": "upi",
"begin": 1593412063,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"vpa_handle": "oksbi"
},
"created_at": 1593412092,
"updated_at": 1593412092
}
]
}
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F8LCfthx90fMOo",
"entity": "payment.downtime",
"method": "upi",
"begin": 1593412063,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"psp": "bhim",
"flow": "collect"
},
"created_at": 1593412092,
"updated_at": 1593412092
}
]
}
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "upi",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"flow": "in_app"
},
"created_at": 1591946223,
"updated_at": 1591946297
}
]
}
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"network": "VISA"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "SBIN"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
{
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "SBIN",
"card_type": "credit"
},
"created_at": 1593196089,
"updated_at": 1593196089
},
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "COSB"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
]
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The api key provided is invalid",
"source": "NA",
"step": "NA",
"reason": "NA",
"metadata": {}
}
}
{
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"vpa_handle": null,
"instrument": {
"bank": "COSB"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
{
"id": "down_F1cxlArweEWitF",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"vpa_handle": null,
"instrument": {
"bank": "UTBI"
},
"created_at": 1591946254,
"updated_at": 1591946298
}
]
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F8LCfthx90fMOo",
"entity": "payment.downtime",
"method": "upi",
"begin": 1593412063,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"vpa_handle": "oksbi"
},
"created_at": 1593412092,
"updated_at": 1593412092
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F8LCfthx90fMOo",
"entity": "payment.downtime",
"method": "upi",
"begin": 1593412063,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"psp": "bhim"
},
"created_at": 1593412092,
"updated_at": 1593412092
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"network": "VISA"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "SBIN"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "SBIN",
"card_type": "credit"
},
"created_at": 1593196089,
"updated_at": 1593196089
},
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"vpa_handle": null,
"instrument": {
"bank": "COSB"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
]
}
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The api key provided is invalid",
"source": "NA",
"step": "NA",
"reason": "NA",
"metadata": {}
}
}
{
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "fpx",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "CIBB"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
{
"id": "down_F1cxlArweEWitF",
"entity": "payment.downtime",
"method": "fpx",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "PHBM"
},
"created_at": 1591946254,
"updated_at": 1591946298
}
]
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"network": "VISA"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "HSBC"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "HSBC",
"card_type": "credit"
},
"created_at": 1593196089,
"updated_at": 1593196089
},
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "fpx",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "PHBM"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
]
}
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The api key provided is invalid",
"source": "NA",
"step": "NA",
"reason": "NA",
"metadata": {}
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"network": "VISA"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "HSBC"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The api key provided is invalid",
"source": "NA",
"step": "NA",
"reason": "NA",
"metadata": {}
}
}
Available in🇮🇳 India🇸🇬 Singapore🇺🇸 United States
Use this endpoint to retrieve details of all payment downtimes.
curl -u <YOUR_KEY_ID>:<YOUR_KEY_SECRET> \
-X GET https://api.razorpay.com/v1/payments/downtimes
-H "Content-Type: application/json" \
RazorpayClient razorpay = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
List<Payment> payment = razorpay.payments.fetchPaymentDowntime();
import razorpay
client = razorpay.Client(auth=("YOUR_ID", "YOUR_SECRET"))
client.payment.fetchPaymentDowntime()
import ( razorpay "github.com/razorpay/razorpay-go" )
client := razorpay.NewClient("YOUR_KEY_ID", "YOUR_SECRET")
body, err := client.Payment.FetchPaymentDowntime(nil, nil)
$api = new Api($key_id, $secret);
$api->payment->fetchPaymentDowntime();
require "razorpay"
Razorpay.setup('YOUR_KEY_ID', 'YOUR_SECRET')
Razorpay::Payment.fetch_payment_downtime
var instance = new Razorpay({ key_id: 'YOUR_KEY_ID', key_secret: 'YOUR_SECRET' })
instance.payments.fetchPaymentDowntime()
RazorpayClient client = new RazorpayClient("[YOUR_KEY_ID]", "[YOUR_KEY_SECRET]");
List<Payment> payment = client.Payment.FetchPaymentDowntime();
razorpay payments downtime list
{
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "COSB"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
{
"id": "down_F1cxlArweEWitF",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "UTIB"
},
"created_at": 1591946254,
"updated_at": 1591946298
}
]
}
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F8LCfthx90fMOo",
"entity": "payment.downtime",
"method": "upi",
"begin": 1593412063,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"vpa_handle": "oksbi"
},
"created_at": 1593412092,
"updated_at": 1593412092
}
]
}
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F8LCfthx90fMOo",
"entity": "payment.downtime",
"method": "upi",
"begin": 1593412063,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"psp": "bhim",
"flow": "collect"
},
"created_at": 1593412092,
"updated_at": 1593412092
}
]
}
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "upi",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"flow": "in_app"
},
"created_at": 1591946223,
"updated_at": 1591946297
}
]
}
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"network": "VISA"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
{
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "SBIN"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
{
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "SBIN",
"card_type": "credit"
},
"created_at": 1593196089,
"updated_at": 1593196089
},
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "COSB"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
]
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The api key provided is invalid",
"source": "NA",
"step": "NA",
"reason": "NA",
"metadata": {}
}
}
{
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"vpa_handle": null,
"instrument": {
"bank": "COSB"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
{
"id": "down_F1cxlArweEWitF",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"vpa_handle": null,
"instrument": {
"bank": "UTBI"
},
"created_at": 1591946254,
"updated_at": 1591946298
}
]
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F8LCfthx90fMOo",
"entity": "payment.downtime",
"method": "upi",
"begin": 1593412063,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"vpa_handle": "oksbi"
},
"created_at": 1593412092,
"updated_at": 1593412092
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F8LCfthx90fMOo",
"entity": "payment.downtime",
"method": "upi",
"begin": 1593412063,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"psp": "bhim"
},
"created_at": 1593412092,
"updated_at": 1593412092
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"network": "VISA"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "SBIN"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "SBIN",
"card_type": "credit"
},
"created_at": 1593196089,
"updated_at": 1593196089
},
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "netbanking",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"vpa_handle": null,
"instrument": {
"bank": "COSB"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
]
}
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The api key provided is invalid",
"source": "NA",
"step": "NA",
"reason": "NA",
"metadata": {}
}
}
{
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "fpx",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "CIBB"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
{
"id": "down_F1cxlArweEWitF",
"entity": "payment.downtime",
"method": "fpx",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "PHBM"
},
"created_at": 1591946254,
"updated_at": 1591946298
}
]
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"network": "VISA"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "HSBC"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 2,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "HSBC",
"card_type": "credit"
},
"created_at": 1593196089,
"updated_at": 1593196089
},
{
"id": "down_F1cxDoHWD4fkQt",
"entity": "payment.downtime",
"method": "fpx",
"begin": 1591946222,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"bank": "PHBM"
},
"created_at": 1591946223,
"updated_at": 1591946297
},
]
}
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The api key provided is invalid",
"source": "NA",
"step": "NA",
"reason": "NA",
"metadata": {}
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"network": "VISA"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"payment_downtime": {
"entity": "collection",
"count": 1,
"items": [
{
"id": "down_F7LroRQAAFuswd",
"entity": "payment.downtime",
"method": "card",
"begin": 1593196031,
"end": null,
"status": "started",
"scheduled": false,
"severity": "high",
"instrument": {
"issuer": "HSBC"
},
"created_at": 1593196089,
"updated_at": 1593196089
}
]
}
}
{
"error": {
"code": "BAD_REQUEST_ERROR",
"description": "The api key provided is invalid",
"source": "NA",
"step": "NA",
"reason": "NA",
"metadata": {}
}
}
Response Parameters
string
Unique identifier of the downtime’s occurrence.
string
Here, it will be
payment.downtime.string
The payment method that is experiencing the downtime. Possible values include:
cardnetbankingupi
integer
Timestamp (in Unix) that indicates the start of the downtime. Applicable for both scheduled and unscheduled downtimes.
integer
Timestamp (in Unix) that indicates the end of the downtime.
Available only for scheduled downtimes, where the end-time is known. Set to
Available only for scheduled downtimes, where the end-time is known. Set to
null when the end-time is unknown, possibly during unscheduled downtimes.string
Status of the downtime.
Possible statuses are.
Possible statuses are.
scheduled: A downtime is scheduled to happen at a later time.started: The downtime has started and is ongoing.updated: An ongoing downtime that has been updated after its start. For example, when the severity of the downtime changes from medium to high.
boolean
Possible values:
true: This is a scheduled downtime by the issuer, network, or the bank, which was informed to Razorpay.false: This is an unscheduled downtime.
string
Severity of the downtime.
Possible values:
Possible values:
high: Possible when all the payment methods are affected by downtime. Observed when the issuer, bank or network is down.medium: Possible when a higher number of declines in transactions or low success rates are observed with the payment methods.low: Possible when the reason for the downtime is unknown. Impact on payment methods is minimal.
string
Payment method that is underperforming.
string
Bank code of the affected bank. Possible values:
HDFCICICSBINKKBKUTIBPUNB
string
Card network. Possible values:
AMEXDICLMCRUPAYVISAALL
string
The 4-character issuer code unique to each issuing bank in India. Possible values:
SBINHDFCICICUTIBCITIPUNBKKBKCNRBBKIDBARBJAKAUBIN
string
Code of the affected Payment Service Provider (PSP). This is populated only when VPA handles associated with the PSP are down. If a PSP is associated with multiple VPA handles, it is marked down only when all the handles associated with it are down. For example,
google_pay is marked down only when all Google Pay handles - oksbi, okhdfcbank, okicici and okaxis are down. Possible values for this parameter are:google_payphonepepaytmbhim
string
Affected VPA handle. For example,
@oksbi. To learn about the possible values, refer to the list of handles supported by NPCI. If the entire UPI system is experiencing a downtime, the value ALL is displayed.string
The card type used to process the payment. Possible values:
creditdebit
string
Indicates the UPI payments flow being used during the downtime event. Possible values:
collectintentin_appOnly applicable for Turbo UPI payments.
integer
Timestamp (in Unix) that indicates the time at which the downtime was recorded in Razorpay servers.
integer
Timestamp (in Unix) that indicates the time at which the downtime record was updated in Razorpay servers.
Know more about the possible values.
Know more about the possible values.
Errors
The API {key/secret} provided is invalid.
The API {key/secret} provided is invalid.
Code:
4xxThe API credentials passed in the API call differ from the ones generated on the Dashboard.Solution: The API keys must be active and entered correctly with no whitespace before or after.Extra query parameters were sent in the request.
Extra query parameters were sent in the request.
Code:
400An unsupported query parameter was included in the request. The Downtime list endpoint does not accept pagination or filtering parameters.Solution: Call GET /v1/payments/downtimes without any query parameters. The endpoint returns the full current collection.Was this page helpful?